Package org.apache.torque.generator.configuration.mergepoint

# Class OutputActionSaxHandlerFactory

java.lang.Object
org.apache.torque.generator.configuration.mergepoint.OutputActionSaxHandlerFactory

All Implemented Interfaces:
  `ActionSaxHandlerFactory`

public class OutputActionSaxHandlerFactory extends Object implements ActionSaxHandlerFactory
A Factory which creates a SAX handler for an OutputAction.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OutputActionSaxHandlerFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final OutputActionSaxHandler`
  `getActionSaxHandler(String uri, String localName, String qName, Attributes attributes, ConfigurationProvider configurationProvider, UnitDescriptor unitDescriptor)`
  Returns a OutputActionSaxHandler for reading the configuration of OptionActions.
  `String`
  `getType()`
  Returns the action type which can be handled by the OutletSaxHandlers created by this factory.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OutputActionSaxHandlerFactory

    public OutputActionSaxHandlerFactory()

- ## Method Details

  - ### getType

    public String getType()
    Returns the action type which can be handled by the OutletSaxHandlers created by this factory.
    Specified by:
      `getType` in interface `ActionSaxHandlerFactory`
    Returns:
      "outputAction".

  - ### getActionSaxHandler

    public final OutputActionSaxHandler getActionSaxHandler(String uri, String localName, String qName, Attributes attributes, ConfigurationProvider configurationProvider, UnitDescriptor unitDescriptor) throws SAXException
    Returns a OutputActionSaxHandler for reading the configuration of OptionActions.
    Specified by:
      `getActionSaxHandler` in interface `ActionSaxHandlerFactory`
    Parameters:
      `uri` - The namespace URI of the action element, or the empty string if the element has no namespace URI or if namespace processing is not being performed.
      `localName` - The local name (without prefix), or the empty string if namespace processing is not being performed.
      `qName` - The qualified name (with prefix, if present), or the empty string if qualified names are not available.
      `attributes` - The attributes attached to the element.
      `configurationProvider` - for accessing the configuration files, not null.
      `unitDescriptor` - The description of the generation unit, not null.
    Returns:
      a new OptionActionSaxHandler.
    Throws:
      `SAXException` - if the SAX Handler for the outlet can not be created from the given XML element.